/*
 *  Gtk-Parted - a front-end for libparted
 *  Copyright (C) 2000, 2001  Damien Genet
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef GPED_H
#define GPED_H

#include <parted/parted.h>
#include <gtk/gtk.h> 

#include "gtk-parted.h"

typedef struct _gpedDeviceInfo gpedDeviceInfo;

#include "fstab.h"

struct _gpedInfo
{
        GtkCTree		*ctreeParted;
        GtkScrolledWindow	*ctreeParted_scrolled;
	GtkItemFactory		*item_factory;
	gpedDeviceInfo		*dev_list;
	gpedFSTabInfo		*fstab_info;
};

struct _gpedDeviceInfo
{
	gpedDeviceInfo	*next;
	gpedDeviceInfo	*prev;
	
	PedDevice	*dev;
	PedDisk		*disk;
	gboolean	 modified;
};


/*
 * includes
 */


PedPartition*
gped_get_part                   (gchar           *dev_name,    
                                 guint            part_minor,
                                 gpedDeviceInfo  *dev_list);

gboolean
gped_get_disk_changes           (gpedInfo        *info,
                                 PedDisk         *disk);

void
gped_change_done                (gpedInfo        *info,
                                 PedDisk         *disk);

gboolean
gped_write_disk_changes         (gpedInfo        *info,
                                 PedDisk         *disk);

#endif /* GPED_H */
